summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/c2lx
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2019-09-14 22:07:09 +0000
committerKarl Berry <karl@freefriends.org>2019-09-14 22:07:09 +0000
commit77c6ab621157215821ffc5d8b0dd655748c262e7 (patch)
tree8c7cc34fd220c9cacf2bfb1f0149419f083805ea /Master/tlpkg/bin/c2lx
parente1f5126a433abad76994faf305f1df3ad04b6f02 (diff)
latex-dev (15sep19)
git-svn-id: svn://tug.org/texlive/trunk@52096 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/c2lx')
-rwxr-xr-xMaster/tlpkg/bin/c2lx49
1 files changed, 49 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/c2lx b/Master/tlpkg/bin/c2lx
new file mode 100755
index 00000000000..5e7bed389e1
--- /dev/null
+++ b/Master/tlpkg/bin/c2lx
@@ -0,0 +1,49 @@
+#!/bin/sh
+# $Id$
+# Originally written by Karl Berry. Public domain.
+#
+# Front-front-end script for c2l to update LaTeX3,
+# or (with first arg "e") LaTeX2e,
+# or (with first arg "dev") latex-dev,
+# each of which is comprised of several
+# packages that should be updated together. Look at the end of the output
+# for the summarized results for each package, e.g., to see if any files
+# ended up getting misplaced.
+#
+# Additional argument "p" runs place also (same as c2l --place).
+
+dirsfile=/tmp/`id -u`.tlplace.dirs
+cp /dev/null $dirsfile.tmp
+cp /dev/null /tmp/first
+
+if test "x$1" = xe; then
+ shift
+ label=l2e
+ pkgs="amsmath cyrillic graphics tools latex"
+ # latex-tds still has knuth psnfss; babel is separate
+elif test "x$1" = xdev; then
+ shift
+ label=ldev
+ pkgs="latex-amsmath-dev latex-graphics-dev latex-tools-dev latex-base-dev"
+ # latex-tds still has knuth psnfss; babel is separate
+elif test "x$1" = x3; then
+ label=l3
+ pkgs="l3kernel l3packages l3experimental l3build l3backend"
+else
+ echo "$0: unknown latex type: $1 (one of: e dev 3)" >&2
+ exit 1
+fi
+
+for p in $pkgs; do
+ echo "${label} pkg $p" >&2 # progress report of a sort
+ printf "\f ${label} pkg $p\n"
+ c2l "$@" $p | tee /tmp/c2l.out
+ sed -n "1,/`printf \f`/p" /tmp/c2l.out >>/tmp/first
+ echo >>/tmp/first
+ cat $dirsfile >>$dirsfile.tmp
+done
+
+sort -u $dirsfile.tmp >$dirsfile
+wc $dirsfile
+echo
+cat /tmp/first